SDL_GetTextureScaleMode(3)

NAME
SDL_GetTextureScaleMode - Get the scale mode used for texture scale operations.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetTextureScaleMode(SDL_Texture *texture, SDL_ScaleMode *scaleMode);

FUNCTION PARAMETERS

texture
    the texture to query.

scaleMode
    a pointer filled in with the current scale mode.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetTextureScaleMode(3)